Package org.eclipse.emf.cdo.common.lock

# Interface IDurableLockingManager.LockArea

All Superinterfaces:
  `CDOBranchPoint`, `CDOBranchProvider`, `CDOTimeProvider`

All Known Implementing Classes:
  `DurableLockArea`

Enclosing interface:
  IDurableLockingManager

public static interface IDurableLockingManager.LockArea extends CDOBranchPoint
Encapsulates the persistable information about a single durable CDO view like `branch point` and acquired locks.

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`IDurableLockingManager.LockArea.Handler`
A call-back interface for handling `lock area` objects.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_DURABLE_LOCKING_ID_BYTES`

### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

`INVALID_DATE, UNSPECIFIED_DATE`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDurableLockingID()`
`Map<CDOID,IDurableLockingManager.LockGrade>`
`getLocks()`
`String`
`getUserID()`
`boolean`
`isMissing()`
Returns `true` if this instance represents a lock area that is known to be missing (not present) on a master server.
`boolean`
`isReadOnly()`

### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

`getBranch, getTimeStamp`

## Field Details

### DEFAULT_DURABLE_LOCKING_ID_BYTES

static final int DEFAULT_DURABLE_LOCKING_ID_BYTES

Since:
  4.1
See Also:
  - Constant Field Values

## Method Details

### getDurableLockingID

String getDurableLockingID()

### getUserID

String getUserID()

### isReadOnly

boolean isReadOnly()

### getLocks

Map<CDOID,IDurableLockingManager.LockGrade> getLocks()

### isMissing

boolean isMissing()
Returns `true` if this instance represents a lock area that is known to be missing (not present) on a master server. (Relevant only in a replicating configuration.)

Since:
  4.1